<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
   <style>
       .body{
           width: 300px;
           height: 300px;
           margin: auto;
       }
   </style>
</head>
<body>
    <div class="body">
        <video id="preview" src="" width="300" height="300"></video>
    </div>
    <script src="https://code.jquery.com/jquery-3.6.0.js" integrity="sha256-H+K7U5CnXl1h5ywQfKtSj8PCmoN9aaq30gDh27Xc0jk=" crossorigin="anonymous"></script>
    <script src="js/instascan.min.js"></script>
    <script >
        var scanner = new Instascan.Scanner({video: document.getElementById('preview')});
        scanner.addListener('scan',function(content){
            alert(content);
        });

        Instascan.Camera.getCameras().then(function (cameras) { 
            if (cameras.length > 0) {
                scanner.start(cameras[0]);
            }else{
                console.error('no camera found');
            }
         }).catch(function (e) { 
             console.error  (e);
          });
    </script>
</body>
</html>